Package org.snpeff.stats

# Class FloatStats

java.lang.Object
org.snpeff.stats.FloatStats

public class FloatStats extends Object
A simple class that does some basic statistics on double numbers

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`FloatStats()`

## Method Summary

Modifier and Type
Method
Description
`double`
`avg()`
`int`
`getCount()`
`double`
`getMax()`
`double`
`getMin()`
`double`
`getSum()`
`void`
`sample(double d)`
`String`
`toString()`
`String`
`toString(boolean title)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FloatStats

public FloatStats()

## Method Details

### avg

public double avg()

### getCount

public int getCount()

### getMax

public double getMax()

### getMin

public double getMin()

### getSum

public double getSum()

### sample

public void sample(double d)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toString

public String toString(boolean title)